import main


class PassCommand:
    def __init__(self, *args):
        self.password(*args)

    def password(
        self, addr, authed, data, obj, spl, success, failure, info, incUsage, length
    ):
        if authed:
            info("You are already authenticated")
            return
        else:
            if length == 2:
                if spl[1] == main.config["Password"]:
                    success("Authenticated successfully")
                    obj.authed = True
                    return
                else:
                    failure("Password incorrect")
                    obj.transport.loseConnection()
                    return
            else:
                incUsage("pass")
